Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetQualifyReference

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetReference
              jet.controls.JetQualifyReference

All Implemented Interfaces:
  jet.convert.PropInfo, jet.util.Propertiable

    public class JetQualifyReference

extends JetReference

JetQualifyReference, for saving/retrieving a JetObject managed by root

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetQualifyReference()`
`JetQualifyReference(jet.controls.JetObject parent, java.lang.String name)` Create a JetQualifyReference instance with no refer to

Method Summary
`java.lang.String` | `getQualifyName()` Deprecated. Concept 'qualify name' had been removed from V8
`boolean` | `setInstanceName(java.lang.String instName)` Search the JetObject managed by root via the specified instance name
`java.lang.String` | `toString()` Gets the instance name of JetObject had been refer to

Methods inherited from class jet.controls.JetReference
`getCurrentValue, getObject, getRefName, isChangeByOther, isEnableAutoValue, set, setObject, setReference`

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getParent, getPropertyChoice, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isCurrentAutoValue, isCurrentChangedBy, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetQualifyReference

    public JetQualifyReference()

### JetQualifyReference

    public JetQualifyReference(jet.controls.JetObject parent,
                               java.lang.String name)

  Create a JetQualifyReference instance with no refer to

  Parameters:
    `parent` - owner
    `name` - name

Method Detail

### setInstanceName

    public boolean setInstanceName(java.lang.String instName)

  Search the JetObject managed by root via the specified instance name

  Overrides:
    `setInstanceName` in class `JetReference`
  Parameters:
    `instName` - the instance name.
  Returns:
    true if success refer to.
  See Also:
    `JetObject.getInstName()`, `JetObject.nameToObject(String)`

### toString

    public java.lang.String toString()

  Description copied from class: `JetReference`
  Gets the instance name of JetObject had been refer to

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `JetReference`
  Returns:
    the instance name of JetObject be refer to, or null if no refer to.
  See Also:
    `JetObject.getInstName()`

### getQualifyName

    public java.lang.String getQualifyName()

  Deprecated. Concept 'qualify name' had been removed from V8

  Returns:
    the qualify name of JetObject be refer to, or null if no refer to.
  See Also:
    `JetObject.getQualifyName()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD